Subject: Re: [PATCH] configure.ac: Set default value for the 'prefix' variable.

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 21 May 2024 20:24:00 -0400

Hi,

Maxim Cournoyer <[email-masked]> writes:

> The Guix standard configuration uses a localstatedir of /var and a sysconfdir
> of /etc.  To ease things for everyone, make the default values match that
> standard expected configuration.  See
> <https://lists.gnu.org/archive/html/guix-devel/2024-05/msg00003.html> for a
> related discussion.
>
> * configure.ac: Default $prefix to '' unless already set.
> * doc/contributing.texi (Building from Git): Streamline doc.
> * doc/guix-cookbook.texi (Guix environment via direnv): Likewise.
>
> Change-Id: I23cd12b58a842d246fbc9fdc740311c573eb0212

While authoring the above, I got thinking about *why* we can't default
to the default GNU /usr/local prefix, since Guix *should* handle this
correctly, via paths registered in the (guix config).  I guess the only
reason is that /var is the hard-coded $localstatedir value we chose for
any Guix package and can't meaningfully be changed (without rewritting
the graft), so if it must exists anyway, we might as well use it for
Guix itself by default.

In other words, I believe this change does the right thing (the other
idea I was musing with defaulting '--prefix=' or '--localstatedir' to
the value of any installed guix, unless the user had provided one
explicitly).

-- 
Thanks,
Maxim